package de.limited_dev.lil_judd.commands;

import de.limited_dev.lil_judd.commands.components.Command;
import de.limited_dev.lil_judd.commands.components.Option;
import de.limited_dev.lil_judd.features.TimePlanner;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import net.dv8tion.jda.api.Permission;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

public class SetupFeatureCommand extends Command {
    public SetupFeatureCommand() {
        super("setup", "Setup a Feature", new Option[]{ new Option(null, "Feature name", "Des", false)});
    }

    @Override
    public void onSlashCommandInteraction(SlashCommandInteractionEvent event) {
        if(!event.getGuild().getMemberById(event.getUser().getId()).hasPermission(Permission.ADMINISTRATOR)){
            EmbeddedMessageHelper.sendSimpleOneLiner(event, "You do not have the Permission", "Sorry, but you don't have the Permission to run this command", null);
            return;
        }
        if(event.getOption("feature").getAsString().equals("timefinder")){
            TimePlanner.getGtps().guildsWithPlanner.put(event.getGuild().getIdLong(), event.getOption("channel").getAsChannel().getIdLong());
            TimePlanner.getGtps().save();
            EmbeddedMessageHelper.sendSimpleOneLiner(event, "Channel has been selected for the ritual",
                    "The Channel has been added. You may now recieve notifications", null);
        }
    }
}
