package de.limited_dev.lil_judd.util;

import de.limited_dev.lil_judd.Main;
import de.limited_dev.lil_judd.commands.components.Command;
import de.limited_dev.lil_judd.commands.components.CommandManager;
import de.limited_dev.lil_judd.commands.components.Option;
import net.dv8tion.jda.api.entities.Guild;
import net.dv8tion.jda.api.interactions.commands.OptionType;
import net.dv8tion.jda.api.interactions.commands.build.Commands;
import net.dv8tion.jda.api.interactions.commands.build.OptionData;

public class SlashCommandHelper {

    public static void addSlashCommandsToGuild(){

        Main.getJda().updateCommands().addCommands(
                Commands.slash("ping", "Pong! Display the Ping"),
                Commands.slash("info", "Shows Info about me"),
                Commands.slash("setup", "Setup a feature")
                        .addOptions(
                                new OptionData(OptionType.STRING, "feature", "The Feature you want to setup")
                                        .addChoice("Send Time finder", "timefinder")
                                , new OptionData(OptionType.CHANNEL, "channel", "The Channel the feature will post in.")
                        ),
                Commands.slash("remove", "Remove a feature")
                        .addOptions(
                                new OptionData(OptionType.STRING, "feature", "The Feature you want to remove")
                                        .addChoice("Send Time finder", "timefinder")
                                , new OptionData(OptionType.CHANNEL, "channel", "The Channel with the feature")
                        )

        ).queue();
    }
}
